/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

:root {
  min-width: 24em;
  min-height: 24em;
}

#mainDeck {
  padding: 10px;
  min-height: 0;
}

#mediaPreviewBox,
#imagecontainerbox,
#mediaBrowser,
#mainDeck > vbox {
  min-width: 0;
  min-height: 0;
}

#viewGroup > radio > .radio-label-box {
  flex-direction: column;
  align-items: center;
}

/* Hide the radio button for the section headers */
#viewGroup > radio > .radio-check {
  display: none;
}

#theimagecontainer,
#mediaBrowser {
  width: 100%;
  height: 100%;
}

table {
  border-spacing: 0;
}

.tableSeparator {
  height: 6px;
}

th,
td {
  padding: 0;
}

th {
  font: inherit;
  text-align: start;
  padding-inline-end: 0.5em;
}

/*
  Make the first column shrink to its min-content, except for #securityTable
  which has full sentences in its first column.
*/
table:not(#securityTable) th {
  width: 0;
}

th > label,
td > input,
.table-split-column {
  width: -moz-available;
  margin-block: 1px 4px;
}

.table-split-column {
  display: flex;
  align-items: center;
}

.table-split-column > label,
.table-split-column > input {
  flex: 1 auto;
}

.table-split-column > button {
  flex-shrink: 0;
}

#hostText {
  flex: 1;
  margin-top: 1px; /* same margin as adjacent label */
}
